jakarta-bsf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Igor Bukanov <i...@icesoft.no>
Subject Re: Results of further investigations and a possible solution for Java 1.2, 1.3 and 1.4 (but not for 1.1 as of yet!) ... (Re: Problem on all Java versions (Re: Additional info (Re: Question on strange "java.lang.IllegalAccessException" in "EngineUtils.callBeanMethod(...)"
Date Fri, 14 Feb 2003 00:25:39 GMT
Rony G. Flatscher wrote:
 > (In order to do that in a safe way, it is also
> necessary to determine whether the code is running under version 1.1, in 
> which case "AccessibleObject" is not available. To do so, at present I 
> am using an anonymous static block in "EngineUtils" in which the System 
> properties are used to determine the version of the JVM. )

You should not check against Java version to check for AccessibleObject 
  methods, use the reflection instead to check if a particular class or 
method is available as various PJava and libraries like 
www.classpath.org may have a method implementation even if the version 
string mention 1.1.




Mime
View raw message